Rudiments

- Main Page
- Classes

- Class List
- Class Hierarchy
- Class Members

signalhandler Member List

This is the complete list of members for signalhandler, including all inherited members.

addFlag(int32_t flag) | signalhandler |
getFlags() const | signalhandler |
getHandler | signalhandler |
getMask() const | signalhandler |
handleSignal(int32_t signum) | signalhandler |
handleSignal(int32_t signum, signalhandler *oldhandler) | signalhandler |
isSignalHandlerIntUsed() | signalhandler | static
removeAllFlags() | signalhandler |
removeFlag(int32_t flag) | signalhandler |
setHandler(void(*handler)(int32_t)) | signalhandler |
setMask(const signalset *sset) | signalhandler |
signalhandler() | signalhandler |
~signalhandler() | signalhandler |